#include "salesperson.h"
#include <iostream>
#include <string>
using namespace std;

SalesPerson:: SalesPerson(const string& name, int hours, float wageHour,
                    float commission, float percent)
: Worker(name,hours,wageHour), _commission(commission),
 _percent(percent)
{
    //ctor
}

SalesPerson::~SalesPerson()
{
    //dtor
}

void SalesPerson::print(ostream& s) const
{
    Worker::print(s);
 //   s << "Sales-Gehalt:" << payment() << endl;   // dank virtueller Methode payment() nicht mehr noetig
    s << "Prozent: " << _percent << endl;
}
